#!/bin/sh 
NAME="Gcam_EMU"

remove_tmp () {
	rm -rf /tmp/*gcam* /tmp/camd.socket /tmp/pid.info /tmp/ecm*.info /tmp/cardinfo /tmp/*cam*.pid /tmp/cam.kill
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $NAME"
		remove_tmp
		sleep 1
		/usr/bin/gcam -d -c /etc/tuxbox/config/gcam.conf &
		sleep 1
		pidof gcam > /tmp/gcam.pid
		;;
	stop)
		echo "[SCRIPT] $1: $NAME"
		kill 2>/dev/null `cat 2>/dev/null /tmp/gcam.pid`
		sleep 1
		killall -9 gcam 2>/dev/null
		remove_tmp
		;;
	*)
		$0 stop
		exit 1
		;;
esac

exit 0
