#!/bin/sh

#profile for gcam

usage()
{
	echo "Usage: $0 {start|stop|status|restart|reload}"
}

if [ $# -lt 1 ] ; then usage ; break ; fi
action=$1

case "$action" in

start)
	echo -n "Start cam daemon: gcam"
	/usr/bin/gcam
	echo " gcam."
		;;

stop)
	echo -n "Stopping cam daemon: gcam"
	while [ -n "`pidof gcam`" ] ; do
		kill -9 `pidof gcam`
	done
	rm -f /tmp/*.info /tmp/camd.socket /tmp/*.list /tmp/*.pid
	echo "."
	;;

status)
	;;

restart|reload)
	$0 stop
	sleep 2
	$0 start
	;;

*)
	usage
	;;

esac

exit 0
